import sys

""" Modul zur Erzeugung eines Hashwerts für Strings, die als Bytefolgen interpretiert werden """

def hashMod(bytes):
    result = 0
    for byte in bytes:
        result += byte
    return result % sys.maxsize

if __name__ == "__main__":
    myByteArray = bytearray("Schokopraline", encoding='utf-8')
    hashvalue = hashMod(myByteArray)
    print("Ohne importierten Aufruf lautet der Hashwert zu 'Schokopraline': ", hashvalue)